All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Class BaseOLAPDrillStateSupport

    com.sas.actionprovider.support.olaptableview.BaseOLAPDrillStateSupport

All Implemented Interfaces:
  DynamicActionCountInterface

Direct Known Subclasses:
  HttpOLAPDrillStateSupport, SwingOLAPDrillStateSupport

    @SASScope(value="ALL")
    public abstract class BaseOLAPDrillStateSupport

implements DynamicActionCountInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for the OLAPDrillState component.

Field Summary
`static java.lang.String` | `DRILL_DOWN_MEMBER_ACTION` The actionType key used to define the default drill up member action for an OLAP drill state component.
`static java.lang.String` | `DRILL_STATE_AREA` The areaType key used to define the OLAP drill state component area
`static java.lang.String` | `DRILL_TO_LEVEL_ACTION` The actionType key used to define the default drill up level action for an OLAP drill state component.

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseOLAPDrillStateSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`int` | `getActionCount(ActionSupportFilter actionFilter, java.lang.String actionType)` Returns the number of Actions of a particular actionType that are needed for the area.
`void` | `initialize()` Initializes the support class.
`protected boolean` | `isNavigatable(java.lang.Object model, TupleElementInterface tupleElement)`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### DRILL_STATE_AREA

    public static final java.lang.String DRILL_STATE_AREA

  The areaType key used to define the OLAP drill state component area

  See Also:
    Constant Field Values

### DRILL_TO_LEVEL_ACTION

    public static final java.lang.String DRILL_TO_LEVEL_ACTION

  The actionType key used to define the default drill up level action for an OLAP drill state component. By default, this action is associated with the OLAPDrillStateAreaInterface.DRILL_STATE_AREA.

  See Also:
    Constant Field Values

### DRILL_DOWN_MEMBER_ACTION

    public static final java.lang.String DRILL_DOWN_MEMBER_ACTION

  The actionType key used to define the default drill up member action for an OLAP drill state component. By default, this action is associated with the OLAPDrillStateAreaInterface.DRILL_STATE_AREA.

  See Also:
    Constant Field Values

Constructor Detail

### BaseOLAPDrillStateSupport

    public BaseOLAPDrillStateSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### initialize

    public void initialize()

  Description copied from class: `BaseActionProviderSupport`
  Initializes the support class.

  Called by the ActionProvider after it sets the locale on this support class.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

### getActionCount

    public int getActionCount(ActionSupportFilter actionFilter,
                              java.lang.String actionType)

  Description copied from interface: `DynamicActionCountInterface`
  Returns the number of Actions of a particular actionType that are needed for the area.

  Specified by:
    `getActionCount` in interface `DynamicActionCountInterface`
  Parameters:
    `actionFilter` - TThe ActionSupportFilter that encapsulates all information describing the specific area.
    `actionType` - The key associated with a particular type of Action.
  Returns:
    the number of Actions of a particular actionType that are needed for the area.

### isNavigatable

    protected boolean isNavigatable(java.lang.Object model,
                                    TupleElementInterface tupleElement)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.